EncodingAwareBufferedWriter (Groovy 2.4.11)
Date: 2017-04-27

groovy.io

## Class EncodingAwareBufferedWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.BufferedWriter
    - - groovy.io.EncodingAwareBufferedWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class EncodingAwareBufferedWriter
      extends BufferedWriter

  A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.
  Author:
    Paul King

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingAwareBufferedWriter(OutputStreamWriter out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
    `String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

    - ### Methods inherited from class java.io.BufferedWriter

      `close, flush, newLine, write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingAwareBufferedWriter

          public EncodingAwareBufferedWriter(OutputStreamWriter out)

  - ### Method Detail

    - #### getEncoding

          public String getEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.
      Returns:
        the encoding
      See Also:
        `OutputStreamWriter.getEncoding()`

    - #### getNormalizedEncoding

          public String getNormalizedEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.
      Returns:
        the encoding
      See Also:
        `OutputStreamWriter.getEncoding()`